local revision = tonumber(("$Revision: 63301 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-01 09:54:06 -0500 (Sat, 01 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("FlexBar2", "FlexBar2")
if not Addon then return end

function Addon:Start()
    
    -- unlock all buttons; groups will stay grouped
	for k, v in pairs(FlexBar2.Buttons) do
		v:Unlock()
	end
end

function Addon:Stop()
    
    -- lock each button again
	for k, v in pairs(FlexBar2.Buttons) do
		v:Lock()
	end
end
