local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("HotCandy", "Hot Candy")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 15
local TIMER_ID = "HotCandyShakedown"

function Addon:Start()
    
    -- show the anchor
    HotCandy:ShowAnchors()
    
    -- show bars now
    HotCandy:TestBars()
    
    -- schedule more bars later
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, HotCandy.TestBars, HotCandy)
end

function Addon:Stop()
    
    -- hide the anchor
    HotCandy:HideAnchors()

    -- don't schedule any more bars
    self:RemoveTimer(TIMER_ID)
end